import { CookieService } from "ngx-cookie-service";
import { AccountScope, JaceIdentity } from "@esfaenza/core/domain";
import * as i0 from "@angular/core";
export declare class TokenService {
    cs: CookieService;
    USE_FAKE_ACCESS_TOKEN: boolean;
    ANONYMOUS_MODE: boolean;
    accountScope: AccountScope;
    constructor(cs: CookieService, USE_FAKE_ACCESS_TOKEN: boolean, ANONYMOUS_MODE: boolean);
    clearTokens(): void;
    getAccessToken(): String;
    getJaceIdentity(): JaceIdentity;
    private getFakeToken;
    private getFakeAccountScope;
    static ɵfac: i0.ɵɵFactoryDeclaration<TokenService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TokenService>;
}
